libkate 0.4.1

- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Functions
Font

## Functions
int | kate_font_get_index_from_code_point (const kate_font_mapping *kfm, int c)

## Detailed Description

## Function Documentation

int kate_font_get_index_from_code_point | ( | const kate_font_mapping * | kfm,
|  | int | c
| ) |  |

Returns the index of the bitmap which corresponds to the given code point, if any.

Parameters:

  kfm | the font mapping to search
  c | the code point to search for

Returns:
  0 success
  KATE_E_* error

References kate_font_range::first_bitmap, kate_font_range::first_code_point, KATE_E_INVALID_PARAMETER, KATE_E_NOT_FOUND, KATE_E_TEXT, kate_font_mapping::nranges, and kate_font_mapping::ranges.